#if !defined(GraphicsLinkageIncludes)
#define GraphicsLinkageIncludes

/*
	Copyright 1993 Apple Computer, Inc.  All rights reserved.
*/

	#define QuickDrawGXTrap 0xA832
	
	#define gxAnyContext 0x00
	#define gxNeedClient 0x10
	#define gxNeedStack 0x20
	#define gxNeedHeap 0x40
	#define gxEnvironmentControl 0x80
	
	#define GXParameterCount( paramEntry ) ((paramEntry)&0x0F)
	
	#if !defined(dontUseInLines)
		#define GXTrap( x, environment ) ={0x303C, x, QuickDrawGXTrap}
	#else
		#define GXTrap( x, environment )
	#endif
	
	#if defined(linkedIn) || defined(appleInternal)
		#define GXInlineCode( x, environment )
	#else
		#define GXInlineCode( x, environment ) GXTrap(x, environment)
	#endif
	
	#if !defined(graphicsBug)
		#define GXInternalCode( x, environment )
	#else
		#define GXInternalCode( x, environment ) GXTrap(x, environment)
	#endif

#endif

