/* graphics:
	macintosh interfaces
	by Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Oliver Steele, David Van Brink, Chris Yerga
	Copyright 1987 - 1991 Apple Computer, Inc.  All rights reserved.	*/


#ifndef graphicsMacintoshIncludes
	#define graphicsMacintoshIncludes

	#define gestaltGraphicsVersion			'grfx'		/* gestalt version selector */
	#define gestaltCurrentGraphicsVersion	0x00000010	/* the version described by these headers */

	#define gestaltGraphicsAttr			'gfxa'		/* gestalt attributes selector */
	#define gestaltGraphicsIsDebugging		0x00000001
	#define gestaltGraphicsIsLoaded		0x00000002
	#define gestaltGraphicsIsPowerPC		0x00000004

	#ifndef GraphicsLinkageIncludes
		#include "graphics linkage.h"
	#endif

	enum {
		defaultPollingHandlerFlags = 0x00,
		okToSwitchDuringPollFlag = 0x00,
		dontSwitchDuringPollFlag = 0x01
	};
	typedef long gxPollingHandlerFlags;
		
	#pragma procname gxPollingHandler
	typedef void (*gxPollingHandlerProcPtr)(long reference, gxPollingHandlerFlags flags);

	gxPollingHandlerProcPtr GXGetGraphicsPollingHandler(long *reference) GXInlineCode(0x245, gxNeedClient);
	void GXSetGraphicsPollingHandler(gxPollingHandlerProcPtr handler, long reference) GXInlineCode(0x246, gxNeedClient);

#endif
