/*
 *	ShapeSetup.h
 *
 *	Robert Dierkes,  April 26, 1993
 */

#include "graphics types.h"

#define		kRowCount		3
#define		kColumnCount	3

enum
{
	kTrapizoidPolygon,	///
	kOvalPath,
	kArrowPolygon,

	kPatternedPolygon,
	kWordGlyphs,
	kArchCurve,

	kCapsLine,
	kDashedOvalPath,
	kJoinPath,			///

	kShapeCount
};

#define		kFixOneHalf		(fixed1 >> 1)
#define		kHalfInch		IntToFixed (36)
#define		kQuarterInch	IntToFixed (18)
#define		kEigthInch		IntToFixed (9)


Boolean CreateShapesFrame (WindowPtr pWindow, register long numRows, register long numCols,
			gxShape *pBoxSet);
Boolean CreateHitTestShapes (WindowPtr pWindow, gxShape **h1stHitShape, gxShape *pBoxSet,
			 register long shapeCount);
void DisposeHitTestShapes (gxShape **h1stHitShape, gxShape *pBoxes);
