#   File:       TestCubics.make
#   Target:     TestCubics
#   Sources:    'cubic library(Cubics2).c'
#               TestCubics.c
#               TestCubics.r
#               DumpFile.c
#               "{GXLIBRARIES}graphics debug library.c"
#               "{GXLIBRARIES}transferMode library.c"
#               "{GXLIBRARIES}transform library.c"
#               "{GXLIBRARIES}shape library.c"
#   Created:    Thursday, September 10, 1992 4:43:00 PM

# ------- Aliases to the library and interface files ------- #

GXLIBRARIES  = {MPW}GXGraphicsLibraries:
GXINTERFACES = {MPW}GXInterfaces:


OBJECTS = 
		'cubic library(Cubics2).c.o' 
		TestCubics.c.o 
		DumpFile.c.o 
		"{GXLIBRARIES}graphics debug library.c.o" 
		"{GXLIBRARIES}transferMode library.c.o" 
		"{GXLIBRARIES}transform library.c.o" 
		"{GXLIBRARIES}shape library.c.o"


TestCubics  TestCubics.make TestCubics.r
	Rez TestCubics.r -append -o TestCubics

TestCubics  TestCubics.make {OBJECTS}
	Link -t APPL -c '????' 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o TestCubics
'cubic library(Cubics2).c.o'  TestCubics.make 'cubic library(Cubics2).c'
	 C -r  'cubic library(Cubics2).c' 
	 -i "{GXINTERFACES}"	 

TestCubics.c.o  TestCubics.make TestCubics.c
	 C -r  TestCubics.c 
	 -i "{GXINTERFACES}"	 

DumpFile.c.o  TestCubics.make DumpFile.c
	 C -r  DumpFile.c 
	 -i "{GXINTERFACES}"	 

"{GXLIBRARIES}graphics debug library.c.o"  TestCubics.make "{GXLIBRARIES}graphics debug library.c"
	 C -r  "{GXLIBRARIES}graphics debug library.c" 
	 -i "{GXINTERFACES}"	 

"{GXLIBRARIES}transferMode library.c.o"  TestCubics.make "{GXLIBRARIES}transferMode library.c"
	 C -r  "{GXLIBRARIES}transferMode library.c" 
	 -i "{GXINTERFACES}"	 

"{GXLIBRARIES}transform library.c.o"  TestCubics.make "{GXLIBRARIES}transform library.c"
	 C -r  "{GXLIBRARIES}transform library.c" 
	 -i "{GXINTERFACES}"	 

"{GXLIBRARIES}shape library.c.o"  TestCubics.make "{GXLIBRARIES}shape library.c"
	 C -r  "{GXLIBRARIES}shape library.c" 
	 -i "{GXINTERFACES}"	 
