#	File:		Confidential.make
#   Target:     Confidential
#   Sources:    Confidential.a Confidential.c Confidential.r
#   Created:    Monday, Feb. 1, 1993 2:34:56 PM
#
#	Makefile for a printing extension that stamps a
#	message on each page spooled.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	2/01/93  - dmh - Completely rewrote for the a5 seed.
#	4/26/93  - dmh - For b1 - removed ! from filenames because
#					 they were killing BuildProgram
#	9/05/93  - dmh - Updated for b2.
#  12/18/93  - dmh - Updated for b3.
#

# Our creator type:

kCreator = 'CON!'


#	Alias to the path for the GX interface files.

INTPATH = "East Terrace:Interfaces & Libraries:interfaces:"


#	Alias to the compiled files and the assembly/C options we
#	want to use.

OBJECTS = Confidential.a.o Confidential.c.o
AsmOptions		= -sym off -i {INTPATH} -case obj
CompileOptions	= -sym off -i {INTPATH} -mbg off -b2


Confidential.a.o  Confidential.make Confidential.a
	 Asm {AsmOptions} Confidential.a
Confidential.c.o  Confidential.make Confidential.c Confidential.h
	 C {CompileOptions} -r  Confidential.c

Confidential  Confidential.make Confidential.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint 					
			{OBJECTS}						
			"{Libraries}Interface.o"		
			-o Confidential;
	SetFile Confidential -a iB;
	Rez -i {INTPATH} -rd -o Confidential Confidential.r -append 
