#   File:       'BasicLayoutSample.make'
#   Target:     'BasicLayoutSample'
#   Created:    Friday, March 23, 1990 7:15:23 PM


AppName = "Basic Layout Sample"


## Change Graphics variable below to location of graphics folders ##
GraphicsIncludes  = {MPW}Interfaces & Libraries:interfaces:
GraphicsLibraries = {MPW}Interfaces & Libraries:graphics libraries:
QDLibraries       = {MPW}Interfaces & Libraries:qd libraries:


## Objects ##
OBJECTS = "Basic Layout Sample.c.o"												
					"{GraphicsLibraries}color library.c.o"					
					"{GraphicsLibraries}font library.c.o"						
					"{GraphicsLibraries}font menu library.c.o"			
					"{GraphicsLibraries}graphics debug library.c.o"	
					"{GraphicsLibraries}graphics library.c.o"				
					"{GraphicsLibraries}layout library.c.o"					
					"{GraphicsLibraries}layout edit library.c.o"		
					"{GraphicsLibraries}selection library.c.o"			
					"{GraphicsLibraries}storage library.c.o"				
					"{GraphicsLibraries}transferMode library.c.o"		
					"{GraphicsLibraries}transform library.c.o"


COptions = -b -r -sym full -d mpw -d ANSI_C -d debugging -d applec -i "{CIncludes}","{GraphicsIncludes}"


## Link & Rez ##
{AppName}  {OBJECTS} {AppName}.make
	Link -t APPL -c '????' -sym full -mf 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o {AppName}

{AppName}  {AppName}.r {AppName}..rsrc {AppName}.make
	Rez -o {AppName} -a {AppName}.r


## Compile  ##
{AppName}.c.o  {AppName}.c {AppName}.make
	C {COptions} -o {AppName}.c.o {AppName}.c

"{GraphicsLibraries}color library.c.o"  "{GraphicsLibraries}color library.c"
	C {COptions} -o "{GraphicsLibraries}color library.c.o" "{GraphicsLibraries}color library.c"

"{GraphicsLibraries}font library.c.o"  "{GraphicsLibraries}font library.c"
	C {COptions} -o "{GraphicsLibraries}font library.c.o" "{GraphicsLibraries}font library.c"

"{GraphicsLibraries}font menu library.c.o"  "{GraphicsLibraries}font menu library.c"
	C {COptions} -o "{GraphicsLibraries}font menu library.c.o" "{GraphicsLibraries}font menu library.c"

"{GraphicsLibraries}graphics debug library.c.o"  "{GraphicsLibraries}graphics debug library.c"
	C {COptions} -o "{GraphicsLibraries}graphics debug library.c.o" "{GraphicsLibraries}graphics debug library.c"

"{GraphicsLibraries}graphics library.c.o"  "{GraphicsLibraries}graphics library.c"
	C {COptions} -o "{GraphicsLibraries}graphics library.c.o" "{GraphicsLibraries}graphics library.c"

"{GraphicsLibraries}layout library.c.o"  "{GraphicsLibraries}layout library.c"
	C {COptions} -o "{GraphicsLibraries}layout library.c.o" "{GraphicsLibraries}layout library.c"

"{GraphicsLibraries}selection library.c.o"  "{GraphicsLibraries}selection library.c"
	C {COptions} -o "{GraphicsLibraries}selection library.c.o" "{GraphicsLibraries}selection library.c"

"{GraphicsLibraries}storage library.c.o"  "{GraphicsLibraries}storage library.c"
	C {COptions} -o "{GraphicsLibraries}storage library.c.o" "{GraphicsLibraries}storage library.c"

"{GraphicsLibraries}transferMode library.c.o"  "{GraphicsLibraries}transferMode library.c"
	C {COptions} -o "{GraphicsLibraries}transferMode library.c.o" "{GraphicsLibraries}transferMode library.c"

"{GraphicsLibraries}transform library.c.o"  "{GraphicsLibraries}transform library.c"
	C {COptions} -o "{GraphicsLibraries}transform library.c.o" "{GraphicsLibraries}transform library.c"
