#ifndef THINK_C
#include <Types.h>
#include <QuickDraw.h>
#include <Fonts.h>
#include <Windows.h>
#include <Menus.h>
#include <SegLoad.h>
#include <Memory.h>
#include <Desk.h>
#endif

#include "graphics routines.h"
#include "graphics libraries.h"
#include "graphics toolbox.h"

#include "layout types.h"
#include "layout routines.h"
#include "layout library.h"

#include "SampleInterface.h"

short MyStrLen(char *x);
static short MyStrLen(x)
char	*x;
	{
	short c = 0;
	while (*x++) c++;
	return c;
	}	/* MyStrLen */

void TrackKerning(WindowPtr sampleWindow)
	{
	/* Variables */
	char		*myString = "Tracking";
	gxPoint		myPoint;
	gxRunControls	gxRunControls;
	gxShape		layout;
	short		len, level = 0;
	gxStyle		myStyle;
	gxViewPort	aViewPort;
	
	/* Initialization */
	
	myPoint.x = ff(30);
	myPoint.y = ff(50);
	
	aViewPort = GXNewWindowViewPort(sampleWindow);
	SetDefaultViewPort(aViewPort);
	
	len = MyStrLen(myString);
	InitializeRunControls(&gxRunControls);
	
	myStyle = NewLayoutStyle((char *) "\pTimes Roman", ff(60), 0, nil, nil, 0, nil);
	
	layout = GXNewLayout(
		1, &len, (void *) &myString,
		1, &len, &myStyle,
		1, &len, &level,
		nil, &myPoint);
	GXDrawShape(layout);
	
	gxRunControls.track = ff(2);	/* very loose */
	GXSetStyleRunControls(myStyle, &gxRunControls);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	gxRunControls.track = -ff(2);	/* very tight */
	GXSetStyleRunControls(myStyle, &gxRunControls);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	GXDisposeShape(layout);
	GXDisposeStyle(myStyle);
	GXDisposeViewPort(aViewPort);
	}	/* main */
