#ifndef THINK_C
#include <Types.h>
#include <QuickDraw.h>
#include <Fonts.h>
#include <Windows.h>
#include <Menus.h>
#include <SegLoad.h>
#include <Memory.h>
#include <Desk.h>
#endif

#include "graphics routines.h"
#include "graphics libraries.h"
#include "graphics toolbox.h"

#include "layout types.h"
#include "layout routines.h"
#include "layout library.h"

#include "SampleInterface.h"

short MyStrLen(char *x);
static short MyStrLen(x)
char	*x;
	{
	short c = 0;
	while (*x++) c++;
	return c;
	}	/* MyStrLen */

void VerticalLines(WindowPtr sampleWindow)
	{
	/* Variables */
	char			*myString = "Neat Text!";
	gxLayoutOptions	gxLayoutOptions;
	gxPoint			myPoint;
	gxShape			layout;
	short			len, level = 0;
	gxStyle			myStyle;
	gxViewPort		aViewPort;
	
	/* Initialization */
	
	myPoint.x = ff(20);
	myPoint.y = ff(50);
	
	aViewPort = GXNewWindowViewPort(sampleWindow);
	SetDefaultViewPort(aViewPort);
	
	len = MyStrLen(myString);
	InitializeLayoutOptions(&gxLayoutOptions);
	
	myStyle = NewLayoutStyle((char *) "\pHelvertical", ff(40), 0, nil, nil, 0, nil);
	
	layout = GXNewLayout(
		1, &len, (void *) &myString,
		1, &len, &myStyle,
		1, &len, &level,
		&gxLayoutOptions, &myPoint);
	GXDrawShape(layout);
	
	GXSetStyleTextAttributes(myStyle, gxVerticalText);
	GXRotateShape(layout, ff(90), ff(0), ff(0));
	GXMoveShape(layout, ff(100), ff(60));
	GXDrawShape(layout);
	
	GXDisposeShape(layout);
	GXDisposeStyle(myStyle);
	GXDisposeViewPort(aViewPort);
	}	/* main */
