/*
	interfaces for a simple, MULTI-window graphics shell -- your part

	1990 - 1993  Apple Computer, Inc.
	All rights reserved.
*/

// the following are expected to be initialized by your code:

// glyph layout sample.c:

extern Rect 		gWindowQDRect;
extern Str255		gWindowTitle;
extern Boolean		gDebugging;
extern Boolean		gGiveMeValidation;
extern long			gGraphicsHeapSize;

// the following functions are supplied by the application using the shell and are called
// at the appropriate time


/**------ Function Prototypes -----**/

// Glyph Layout Sample.c:

void DoSetup(void);
OSErr DoInitialization(WindowPtr);
void DoDraw(WindowPtr, Boolean);
OSErr DoCreateNew(void);
void DoDispose(WindowPtr);
void DoIdle(WindowPtr);
void DoTeardown(void);

void CreateSampleLayoutImage(WindowPtr);

// resource & menu item equates:

#define rWindTitleString 		128
#define rWindTitleStringIndex	1
#define rWindRectangle			128

