#   File:       'MultiColorRunLayout.make'
#   Target:     'MultiColorRunLayout'
#   Created:    Thursday, September 9, 1993 


AppName = MultiColorRunLayout


## Change Graphics variable below to location of graphics folders ##
GraphicsIncludes  = {MPW}Interfaces & Libraries:interfaces:
GraphicsLibraries = {MPW}Interfaces & Libraries:graphics libraries:
QDLibraries       = {MPW}Interfaces & Libraries:qd libraries:


## Objects ##
OBJECTS = MultiColorRunLayout.c.o												
					"{GraphicsLibraries}color library.c.o"					
					"{GraphicsLibraries}transform library.c.o"


COptions = -b -r -sym full -d mpw -d ANSI_C -d debugging -d applec -i "{CIncludes}","{GraphicsIncludes}"


## Link & Rez ##
{AppName}  {OBJECTS} {AppName}.make
	Link -t APPL -c '????' -sym full -mf 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o {AppName}

## Compile  ##
{AppName}.c.o  {AppName}.c {AppName}.make
	C {COptions} -o {AppName}.c.o {AppName}.c

"{GraphicsLibraries}color library.c.o"  "{GraphicsLibraries}color library.c"
	C {COptions} -o "{GraphicsLibraries}color library.c.o" "{GraphicsLibraries}color library.c"

"{GraphicsLibraries}transform library.c.o"  "{GraphicsLibraries}transform library.c"
	C {COptions} -o "{GraphicsLibraries}transform library.c.o" "{GraphicsLibraries}transform library.c"
