#
# MPW makefile for PrintingLibrary.o
#
#	12/22/93 - dmh - verified makefile and built for the b3 seed.
#	 9/14/93 - dmh - verified makefile and built for the b2 seed.
#

# These variables must point to the interface and library files on your drive.

INTPATH = 'East Terrace:Interfaces & Libraries:interfaces:'
LIBPATH = 'East Terrace:Interfaces & Libraries:'
BLTPATH = {LIBPATH}"built libraries:MPW:"
OBJPATH = {BLTPATH}objects:
GraphicsInt = {INTPATH}
PrLib = {LIBPATH}"Printing Libraries:"

OBJECTS = {OBJPATH}CollectionLibrary.c.o 
					{OBJPATH}JobFormatModeLibrary.c.o 
					{OBJPATH}PaperTypeLibrary.c.o 
					{OBJPATH}PicturesAndPICTLibrary.c.o

COptions = -warnings off -b -r -sym full -d mpw -d ANSI_C -d debugging -d applec -i {GraphicsInt}

PrintingLibrary  {OBJECTS}
	Lib -sym full 
		{OBJECTS} 
		-w -o {BLTPATH}PrintingLibrary.o
	delete -n -i {OBJPATH}.o

{OBJPATH}CollectionLibrary.c.o  {PrLib}CollectionLibrary.c
	 c {Coptions} {PrLib}CollectionLibrary.c -o {OBJPATH}CollectionLibrary.c.o

{OBJPATH}JobFormatModeLibrary.c.o  {PrLib}JobFormatModeLibrary.c
	 c {Coptions} {PrLib}JobFormatModeLibrary.c -o {OBJPATH}JobFormatModeLibrary.c.o

{OBJPATH}PaperTypeLibrary.c.o  {PrLib}PaperTypeLibrary.c
	 c {Coptions} {PrLib}PaperTypeLibrary.c -o {OBJPATH}PaperTypeLibrary.c.o

{OBJPATH}PicturesAndPICTLibrary.c.o  {PrLib}PicturesAndPICTLibrary.c
	 c {Coptions} {PrLib}PicturesAndPICTLibrary.c -o {OBJPATH}PicturesAndPICTLibrary.c.o
