{
 memory manager:
    public interface definition
    by Cary Clark, Georgiann Delaney, Michael Fairman, Dave Good, Robert Johnson, Keith McGreggor, Oliver Steele, David Van Brink, Chris Yerga
    Copyright 1987 - 1991 Apple Computer, Inc.  All rights reserved.    
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
    UNIT MemoryDebugging;
    INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingMemoryDebugging}
{$SETC UsingMemoryDebugging := 1}


{$I+}
{$SETC MemoryDebuggingIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingMemoryTypes}
{$I $$Shell(PInterfaces)MemoryTypes.p}
{$ENDC}
{$SETC UsingIncludes := MemoryDebuggingIncludes}

CONST
scrambleBlocks = 1;
checkBlocks = 2;
checkHeap = 4;

FUNCTION GetHeapValidation(source: GxHeapPointer): LongInt; C;
PROCEDURE SetHeapValidation(VAR target: GxHeap; flags: LongInt); C;

PROCEDURE ValidateHeap(target: GxHeapPointer; flags: LongInt); C;
PROCEDURE ValidateDirectBlock(block: Ptr); C;
PROCEDURE ValidateIndirectBlock(block: Ptr); C;
PROCEDURE ValidateMasterPointer(masterPointer: Ptr); C;
PROCEDURE ValidateBlockRange(rangeStart: Ptr; length: LongInt); C;

FUNCTION GetDebugMessageHandler: Ptr; C;

FUNCTION UnscrambleMaster(masterPtr: Ptr): Ptr; C;

{$ENDC}

{$IFC NOT UsingIncludes}
    END.
{$ENDC}
