/*---------------------------------------------------------------------------------------------
FILENAME
    TestClipRef.h
    
DESCRIPTION
    This is the include file which is used
	both by the program and by the resource
	file
	
COPYRIGHT
    1992 Copyright Apple Computer, Inc.
    All rights reserved.
    
---------------------------------------------------------------------------------------------*/

#define	rMenuBar		128				/* application's menu bar */
#define	rAboutAlert	128				/* about alert */
#define rAboutDITL	128				/* items */
#define rClearAlert	129				/* clear alert */
#define rClearDITL	129				/* items */
#define rDocWindow	128
#define rBndl				128
#define rIcon				128
#define rFref				128
#define rHandCurs		128

#define	mApple			128		/* Apple menu */
#define	iAbout			1

#define	mFile				129		/* File menu */
#define iOpen				1
#define	iSaveAs			3
#define	iQuit				5

#define	mEdit				130		/* Edit menu */
#define	iUndo				1
#define	iCut				3
#define	iCopy				4
#define	iPaste			5
#define	iClear			6

#define mClip				131		/* Clip Menu */

#define mError			132
#define	iOneTenth			1
#define	iOneQuater		2
#define iOneHalf			3
#define	iThreeQuaters	4
#define	iOne					5
#define	iTwo					6
#define	iFour					7
#define	iEight				8

#define kPrefSize	2000
#define kMinSize	2000
