#
# This is the Makefile for Experiment no.9
#
#                Dave Hersey
#     Apple Developer Technical Support
#
#
#   4/26/93 - dmh - Thrown on the grill.
#   9/10/93 - dmh - Updated for b2.
#			- Neutralized some nasty bugs.
# 12/18/93  - dmh - Updated for b3.
#
#------------------------------------------------------
Creator		= 'Ex#9'
ObjPath		= :Objects :

GXIncludes		= East Terrace:Interfaces & Libraries:interfaces:
GXGrLibraries	= East Terrace:Interfaces & Libraries:graphics libraries:

RezOptions	= -append -i "{GXIncludes}"

COptions	= -r -mc68020 -mc68881 -d double=extended 
			  -d mpw -d ANSI_C -d debugging -i "{GXIncludes}" -i "{GXGrLibraries}"

LinkOptions	= -t APPL -c {Creator}

MakeFile	= Experiment no.9.make
TheApp		= Experiment no.9
HdrFile		= Experiment no.9.h
ResFile		= Experiment no.9.r
SrcFile1	= Experiment no.9.c
#------------------------------------------------------

OBJECTS = "{ObjPath}{SrcFile1}.o"

"{TheApp}"  "{MakeFile}" "{HdrFile}" "{ResFile}"
	Rez {RezOptions} "{ResFile}" -o "{TheApp}"
	setfile -a Bi "{TheApp}"

"{TheApp}"  "{MakeFile}" {OBJECTS}
	Link {LinkOptions}					
		 {OBJECTS}						
		"{CLibraries}"StdClib.o			
		"{Libraries}"Runtime.o			
		"{Libraries}"Interface.o		
	 -o "{TheApp}"

"{ObjPath}{SrcFile1}.o"  "{MakeFile}" "{HdrFile}" "{SrcFile1}"
	C {COptions} "{SrcFile1}" -o "{ObjPath}"