#	File:		DTP Menu Alert.make
#   Target:     DTP Menu Alert
#   Sources:    DTP Menu Alert.a DTP Menu Alert.c DTP Menu Alert.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for an extension that adds an alert item to the
#	desktop printer menu.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	12/01/92 - dmh - created.
#	 4/26/93 - dmh - updated to use recommended approach to
#					 global data initialization.
#	12/22/93 - dmh - updated for b3.
#

#	Alias to the path for the GX library and interface files.

INTPATH = East Terrace:interfaces & libraries:interfaces:


#	Creator type we'll use:

kCreator = 'DTPA'

OBJECTS = "DTP Menu Alert.a.o" "DTP Menu Alert.c.o"

AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -opt full -b2 -r -i "{INTPATH}"

"DTP Menu Alert.a.o"  "DTP Menu Alert.make" "DTP Menu Alert.a"
	 Asm {AsmOptions} "DTP Menu Alert.a"
"DTP Menu Alert.c.o"  "DTP Menu Alert.make" "DTP Menu Alert.c"
	 C {CompileOptions} "DTP Menu Alert.c"

"DTP Menu Alert"  "DTP Menu Alert.make" "DTP Menu Alert.r" {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-t 'pext'						
			-c {kCreator}					
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}Runtime.o"			
			-o "DTP Menu Alert";
	SetFile "DTP Menu Alert" -a iB;
	Rez -i "{INTPATH}" -rd -o "DTP Menu Alert" "DTP Menu Alert.r" -append 