#ifndef THINK_C
#include <Types.h>
#include <QuickDraw.h>
#include <Fonts.h>
#include <Windows.h>
#include <Menus.h>
#include <SegLoad.h>
#include <Memory.h>
#include <Desk.h>
#endif

#include "graphics routines.h"
#include "graphics libraries.h"
#include "graphics toolbox.h"

#include "layout types.h"
#include "layout feature constants.h"
#include "layout routines.h"
#include "layout library.h"

#include "SampleInterface.h"

short MyStrLen(char *x);
static short MyStrLen(x)
char	*x;
	{
	short c = 0;
	while (*x++) c++;
	return c;
	}	/* MyStrLen */

void CaseSubstitution(WindowPtr sampleWindow)
	{
	/* Variables */
	char			*myString = "abCDe";
	gxPoint			myPoint;
	gxRunControls		myControls;
	gxRunFeature		gxRunFeature;
	gxShape			layout;
	short			len, level = 0;
	gxStyle			myStyle;
	gxViewPort		aViewPort;
	
	/* Initialization */
	
	myPoint.x = ff(20);
	myPoint.y = ff(50);
	
	aViewPort = GXNewWindowViewPort(sampleWindow);
	SetDefaultViewPort(aViewPort);
	
	len = MyStrLen(myString);
	
	InitializeRunControls(&myControls);
	myControls.flags = gxNoOpticalAlignment;
	
	myStyle = NewLayoutStyle((char *) "\pHoefler Plain", ff(50), 0, &myControls, nil, 0, nil);
	
	layout = GXNewLayout(
		1, &len, (void *) &myString,
		1, &len, &myStyle,
		1, &len, &level,
		nil, &myPoint);
	GXDrawShape(layout);
	
	gxRunFeature.featureType = letterNumberCaseType;
	gxRunFeature.featureSelector = letterNumberCaseAllUpperSelector;
	GXSetStyleRunFeatures(myStyle, 1, &gxRunFeature);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	gxRunFeature.featureSelector = letterNumberCaseAllLowerSelector;
	GXSetStyleRunFeatures(myStyle, 1, &gxRunFeature);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	gxRunFeature.featureSelector = letterNumberCaseSmallCapsSelector;
	GXSetStyleRunFeatures(myStyle, 1, &gxRunFeature);
	GXMoveShape(layout, 0, ff(75));
	GXDrawShape(layout);
	
	GXDisposeShape(layout);
	GXDisposeStyle(myStyle);
	GXDisposeViewPort(aViewPort);
	}	/* main */
