/*
 *  viewPort Mania (text) FAT.r
 *
 *	resource file for sample C programs (both simple & fat)
 *
 *	Copyright  1993, Apple Computer, Inc.  All rights reserved.
 */

#include "SysTypes.r"
#include "Types.r"
#include "CodeFragmentTypes.r"


resource 'cfrg' (0) {
   {
      kPowerPC,
      kFullLib,
	  kNoVersionNum,kNoVersionNum,
	  0,0,
	  kIsApp,kOnDiskFlat,kZeroOffset,kWholeFork,
	  "viewPort Mania"
   }
};

resource 'vers' (1) {
	0x1,
	0x0,
	beta,
	0x04,
	verUS,
	"1.0b3",
	"Version 1.0b3.  Copyright  1993, Apple Computer, Inc."
};

#define kMinSize	94				/* application's minimum size (in K) */
#define kPrefSize	94				/* application's preferred size (in K) */

/* here is the quintessential MultiFinder friendliness device, the SIZE resource */

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				/* we can background; we don't currently, but our sleep value */
								/* guarantees we don't hog the Mac while we are in the background */
	multiFinderAware,			/* this says we do our own activate/deactivate; don't fake us out */
	backgroundAndForeground,	/* this is definitely not a background-only application! */
	dontGetFrontClicks,			/* change this is if you want "do first click" behavior like the Finder */
	ignoreChildDiedEvents,		/* essentially, I'm not a debugger (sub-launching) */
	is32BitCompatible,			/* this app should be able to run in 32-bit address space */
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	kPrefSize * 1024,
	kMinSize * 1024	
};
